### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement
  commentId: T:adas_core.Domain.Models.Filter.FilterOptionListElement
  id: FilterOptionListElement
  parent: adas_core.Domain.Models.Filter
  children:
  - adas_core.Domain.Models.Filter.FilterOptionListElement.BgColor
  - adas_core.Domain.Models.Filter.FilterOptionListElement.Color
  - adas_core.Domain.Models.Filter.FilterOptionListElement.Description
  - adas_core.Domain.Models.Filter.FilterOptionListElement.IconCategory
  - adas_core.Domain.Models.Filter.FilterOptionListElement.IconColor
  - adas_core.Domain.Models.Filter.FilterOptionListElement.IconDefault
  - adas_core.Domain.Models.Filter.FilterOptionListElement.IsFromAdmPanel
  - adas_core.Domain.Models.Filter.FilterOptionListElement.Locale
  - adas_core.Domain.Models.Filter.FilterOptionListElement.LocaleItems
  - adas_core.Domain.Models.Filter.FilterOptionListElement.Name
  - adas_core.Domain.Models.Filter.FilterOptionListElement.OptionType
  - adas_core.Domain.Models.Filter.FilterOptionListElement.Text
  langs:
  - csharp
  - vb
  name: FilterOptionListElement
  nameWithType: FilterOptionListElement
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/Filter/FilterOptionListElement.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: FilterOptionListElement
    path: ../../adas-core.Domain/Models/Filter/FilterOptionListElement.cs
    startLine: 7
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  summary: Represents an individual element within a filter option list, encapsulating a selectable filter value and its associated metadata.
  example: []
  syntax:
    content: public class FilterOptionListElement
    content.vb: Public Class FilterOptionListElement
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.OptionType
  commentId: P:adas_core.Domain.Models.Filter.FilterOptionListElement.OptionType
  id: OptionType
  parent: adas_core.Domain.Models.Filter.FilterOptionListElement
  langs:
  - csharp
  - vb
  name: OptionType
  nameWithType: FilterOptionListElement.OptionType
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.OptionType
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/FilterOptionListElement.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: OptionType
    path: ../../adas-core.Domain/Models/Filter/FilterOptionListElement.cs
    startLine: 9
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public string? OptionType { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property OptionType As String
  overload: adas_core.Domain.Models.Filter.FilterOptionListElement.OptionType*
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.Text
  commentId: P:adas_core.Domain.Models.Filter.FilterOptionListElement.Text
  id: Text
  parent: adas_core.Domain.Models.Filter.FilterOptionListElement
  langs:
  - csharp
  - vb
  name: Text
  nameWithType: FilterOptionListElement.Text
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.Text
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/FilterOptionListElement.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Text
    path: ../../adas-core.Domain/Models/Filter/FilterOptionListElement.cs
    startLine: 10
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public string? Text { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Text As String
  overload: adas_core.Domain.Models.Filter.FilterOptionListElement.Text*
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.Name
  commentId: P:adas_core.Domain.Models.Filter.FilterOptionListElement.Name
  id: Name
  parent: adas_core.Domain.Models.Filter.FilterOptionListElement
  langs:
  - csharp
  - vb
  name: Name
  nameWithType: FilterOptionListElement.Name
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.Name
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/FilterOptionListElement.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Name
    path: ../../adas-core.Domain/Models/Filter/FilterOptionListElement.cs
    startLine: 11
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public string? Name { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Name As String
  overload: adas_core.Domain.Models.Filter.FilterOptionListElement.Name*
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.Description
  commentId: P:adas_core.Domain.Models.Filter.FilterOptionListElement.Description
  id: Description
  parent: adas_core.Domain.Models.Filter.FilterOptionListElement
  langs:
  - csharp
  - vb
  name: Description
  nameWithType: FilterOptionListElement.Description
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.Description
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/FilterOptionListElement.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Description
    path: ../../adas-core.Domain/Models/Filter/FilterOptionListElement.cs
    startLine: 12
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public string? Description { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Description As String
  overload: adas_core.Domain.Models.Filter.FilterOptionListElement.Description*
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.IconDefault
  commentId: P:adas_core.Domain.Models.Filter.FilterOptionListElement.IconDefault
  id: IconDefault
  parent: adas_core.Domain.Models.Filter.FilterOptionListElement
  langs:
  - csharp
  - vb
  name: IconDefault
  nameWithType: FilterOptionListElement.IconDefault
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.IconDefault
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/FilterOptionListElement.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: IconDefault
    path: ../../adas-core.Domain/Models/Filter/FilterOptionListElement.cs
    startLine: 13
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public string? IconDefault { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property IconDefault As String
  overload: adas_core.Domain.Models.Filter.FilterOptionListElement.IconDefault*
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.IconCategory
  commentId: P:adas_core.Domain.Models.Filter.FilterOptionListElement.IconCategory
  id: IconCategory
  parent: adas_core.Domain.Models.Filter.FilterOptionListElement
  langs:
  - csharp
  - vb
  name: IconCategory
  nameWithType: FilterOptionListElement.IconCategory
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.IconCategory
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/FilterOptionListElement.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: IconCategory
    path: ../../adas-core.Domain/Models/Filter/FilterOptionListElement.cs
    startLine: 14
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public string? IconCategory { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property IconCategory As String
  overload: adas_core.Domain.Models.Filter.FilterOptionListElement.IconCategory*
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.IconColor
  commentId: P:adas_core.Domain.Models.Filter.FilterOptionListElement.IconColor
  id: IconColor
  parent: adas_core.Domain.Models.Filter.FilterOptionListElement
  langs:
  - csharp
  - vb
  name: IconColor
  nameWithType: FilterOptionListElement.IconColor
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.IconColor
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/FilterOptionListElement.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: IconColor
    path: ../../adas-core.Domain/Models/Filter/FilterOptionListElement.cs
    startLine: 15
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public string? IconColor { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property IconColor As String
  overload: adas_core.Domain.Models.Filter.FilterOptionListElement.IconColor*
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.Color
  commentId: P:adas_core.Domain.Models.Filter.FilterOptionListElement.Color
  id: Color
  parent: adas_core.Domain.Models.Filter.FilterOptionListElement
  langs:
  - csharp
  - vb
  name: Color
  nameWithType: FilterOptionListElement.Color
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.Color
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/FilterOptionListElement.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Color
    path: ../../adas-core.Domain/Models/Filter/FilterOptionListElement.cs
    startLine: 16
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public string? Color { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Color As String
  overload: adas_core.Domain.Models.Filter.FilterOptionListElement.Color*
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.BgColor
  commentId: P:adas_core.Domain.Models.Filter.FilterOptionListElement.BgColor
  id: BgColor
  parent: adas_core.Domain.Models.Filter.FilterOptionListElement
  langs:
  - csharp
  - vb
  name: BgColor
  nameWithType: FilterOptionListElement.BgColor
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.BgColor
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/FilterOptionListElement.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: BgColor
    path: ../../adas-core.Domain/Models/Filter/FilterOptionListElement.cs
    startLine: 17
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public string? BgColor { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property BgColor As String
  overload: adas_core.Domain.Models.Filter.FilterOptionListElement.BgColor*
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.Locale
  commentId: P:adas_core.Domain.Models.Filter.FilterOptionListElement.Locale
  id: Locale
  parent: adas_core.Domain.Models.Filter.FilterOptionListElement
  langs:
  - csharp
  - vb
  name: Locale
  nameWithType: FilterOptionListElement.Locale
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.Locale
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/FilterOptionListElement.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Locale
    path: ../../adas-core.Domain/Models/Filter/FilterOptionListElement.cs
    startLine: 18
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public LocaleEnum? Locale { get; set; }
    parameters: []
    return:
      type: System.Nullable{adas_core.Domain.Models.Masters.LocaleEnum}
    content.vb: Public Property Locale As LocaleEnum?
  overload: adas_core.Domain.Models.Filter.FilterOptionListElement.Locale*
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.IsFromAdmPanel
  commentId: P:adas_core.Domain.Models.Filter.FilterOptionListElement.IsFromAdmPanel
  id: IsFromAdmPanel
  parent: adas_core.Domain.Models.Filter.FilterOptionListElement
  langs:
  - csharp
  - vb
  name: IsFromAdmPanel
  nameWithType: FilterOptionListElement.IsFromAdmPanel
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.IsFromAdmPanel
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/FilterOptionListElement.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: IsFromAdmPanel
    path: ../../adas-core.Domain/Models/Filter/FilterOptionListElement.cs
    startLine: 19
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public bool? IsFromAdmPanel { get; set; }
    parameters: []
    return:
      type: System.Nullable{System.Boolean}
    content.vb: Public Property IsFromAdmPanel As Boolean?
  overload: adas_core.Domain.Models.Filter.FilterOptionListElement.IsFromAdmPanel*
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.LocaleItems
  commentId: P:adas_core.Domain.Models.Filter.FilterOptionListElement.LocaleItems
  id: LocaleItems
  parent: adas_core.Domain.Models.Filter.FilterOptionListElement
  langs:
  - csharp
  - vb
  name: LocaleItems
  nameWithType: FilterOptionListElement.LocaleItems
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.LocaleItems
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/FilterOptionListElement.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: LocaleItems
    path: ../../adas-core.Domain/Models/Filter/FilterOptionListElement.cs
    startLine: 20
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public Locale? LocaleItems { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Models.Masters.Locale
    content.vb: Public Property LocaleItems As Locale
  overload: adas_core.Domain.Models.Filter.FilterOptionListElement.LocaleItems*
references:
- uid: adas_core.Domain.Models.Filter
  commentId: N:adas_core.Domain.Models.Filter
  href: adas_core.html
  name: adas_core.Domain.Models.Filter
  nameWithType: adas_core.Domain.Models.Filter
  fullName: adas_core.Domain.Models.Filter
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Filter
    name: Filter
    href: adas_core.Domain.Models.Filter.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Filter
    name: Filter
    href: adas_core.Domain.Models.Filter.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.OptionType*
  commentId: Overload:adas_core.Domain.Models.Filter.FilterOptionListElement.OptionType
  href: adas_core.Domain.Models.Filter.FilterOptionListElement.html#adas_core_Domain_Models_Filter_FilterOptionListElement_OptionType
  name: OptionType
  nameWithType: FilterOptionListElement.OptionType
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.OptionType
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.Text*
  commentId: Overload:adas_core.Domain.Models.Filter.FilterOptionListElement.Text
  href: adas_core.Domain.Models.Filter.FilterOptionListElement.html#adas_core_Domain_Models_Filter_FilterOptionListElement_Text
  name: Text
  nameWithType: FilterOptionListElement.Text
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.Text
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.Name*
  commentId: Overload:adas_core.Domain.Models.Filter.FilterOptionListElement.Name
  href: adas_core.Domain.Models.Filter.FilterOptionListElement.html#adas_core_Domain_Models_Filter_FilterOptionListElement_Name
  name: Name
  nameWithType: FilterOptionListElement.Name
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.Name
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.Description*
  commentId: Overload:adas_core.Domain.Models.Filter.FilterOptionListElement.Description
  href: adas_core.Domain.Models.Filter.FilterOptionListElement.html#adas_core_Domain_Models_Filter_FilterOptionListElement_Description
  name: Description
  nameWithType: FilterOptionListElement.Description
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.Description
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.IconDefault*
  commentId: Overload:adas_core.Domain.Models.Filter.FilterOptionListElement.IconDefault
  href: adas_core.Domain.Models.Filter.FilterOptionListElement.html#adas_core_Domain_Models_Filter_FilterOptionListElement_IconDefault
  name: IconDefault
  nameWithType: FilterOptionListElement.IconDefault
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.IconDefault
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.IconCategory*
  commentId: Overload:adas_core.Domain.Models.Filter.FilterOptionListElement.IconCategory
  href: adas_core.Domain.Models.Filter.FilterOptionListElement.html#adas_core_Domain_Models_Filter_FilterOptionListElement_IconCategory
  name: IconCategory
  nameWithType: FilterOptionListElement.IconCategory
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.IconCategory
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.IconColor*
  commentId: Overload:adas_core.Domain.Models.Filter.FilterOptionListElement.IconColor
  href: adas_core.Domain.Models.Filter.FilterOptionListElement.html#adas_core_Domain_Models_Filter_FilterOptionListElement_IconColor
  name: IconColor
  nameWithType: FilterOptionListElement.IconColor
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.IconColor
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.Color*
  commentId: Overload:adas_core.Domain.Models.Filter.FilterOptionListElement.Color
  href: adas_core.Domain.Models.Filter.FilterOptionListElement.html#adas_core_Domain_Models_Filter_FilterOptionListElement_Color
  name: Color
  nameWithType: FilterOptionListElement.Color
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.Color
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.BgColor*
  commentId: Overload:adas_core.Domain.Models.Filter.FilterOptionListElement.BgColor
  href: adas_core.Domain.Models.Filter.FilterOptionListElement.html#adas_core_Domain_Models_Filter_FilterOptionListElement_BgColor
  name: BgColor
  nameWithType: FilterOptionListElement.BgColor
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.BgColor
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.Locale*
  commentId: Overload:adas_core.Domain.Models.Filter.FilterOptionListElement.Locale
  href: adas_core.Domain.Models.Filter.FilterOptionListElement.html#adas_core_Domain_Models_Filter_FilterOptionListElement_Locale
  name: Locale
  nameWithType: FilterOptionListElement.Locale
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.Locale
- uid: System.Nullable{adas_core.Domain.Models.Masters.LocaleEnum}
  commentId: T:System.Nullable{adas_core.Domain.Models.Masters.LocaleEnum}
  parent: System
  definition: System.Nullable`1
  href: adas_core.Domain.Models.Masters.LocaleEnum.html
  name: LocaleEnum?
  nameWithType: LocaleEnum?
  fullName: adas_core.Domain.Models.Masters.LocaleEnum?
  spec.csharp:
  - uid: adas_core.Domain.Models.Masters.LocaleEnum
    name: LocaleEnum
    href: adas_core.Domain.Models.Masters.LocaleEnum.html
  - name: '?'
  spec.vb:
  - uid: adas_core.Domain.Models.Masters.LocaleEnum
    name: LocaleEnum
    href: adas_core.Domain.Models.Masters.LocaleEnum.html
  - name: '?'
- uid: System.Nullable`1
  commentId: T:System.Nullable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  name: Nullable<T>
  nameWithType: Nullable<T>
  fullName: System.Nullable<T>
  nameWithType.vb: Nullable(Of T)
  fullName.vb: System.Nullable(Of T)
  name.vb: Nullable(Of T)
  spec.csharp:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.IsFromAdmPanel*
  commentId: Overload:adas_core.Domain.Models.Filter.FilterOptionListElement.IsFromAdmPanel
  href: adas_core.Domain.Models.Filter.FilterOptionListElement.html#adas_core_Domain_Models_Filter_FilterOptionListElement_IsFromAdmPanel
  name: IsFromAdmPanel
  nameWithType: FilterOptionListElement.IsFromAdmPanel
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.IsFromAdmPanel
- uid: System.Nullable{System.Boolean}
  commentId: T:System.Nullable{System.Boolean}
  parent: System
  definition: System.Nullable`1
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool?
  nameWithType: bool?
  fullName: bool?
  nameWithType.vb: Boolean?
  fullName.vb: Boolean?
  name.vb: Boolean?
  spec.csharp:
  - uid: System.Boolean
    name: bool
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.boolean
  - name: '?'
  spec.vb:
  - uid: System.Boolean
    name: Boolean
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.boolean
  - name: '?'
- uid: adas_core.Domain.Models.Filter.FilterOptionListElement.LocaleItems*
  commentId: Overload:adas_core.Domain.Models.Filter.FilterOptionListElement.LocaleItems
  href: adas_core.Domain.Models.Filter.FilterOptionListElement.html#adas_core_Domain_Models_Filter_FilterOptionListElement_LocaleItems
  name: LocaleItems
  nameWithType: FilterOptionListElement.LocaleItems
  fullName: adas_core.Domain.Models.Filter.FilterOptionListElement.LocaleItems
- uid: adas_core.Domain.Models.Masters.Locale
  commentId: T:adas_core.Domain.Models.Masters.Locale
  parent: adas_core.Domain.Models.Masters
  href: adas_core.Domain.Models.Masters.Locale.html
  name: Locale
  nameWithType: Locale
  fullName: adas_core.Domain.Models.Masters.Locale
- uid: adas_core.Domain.Models.Masters
  commentId: N:adas_core.Domain.Models.Masters
  href: adas_core.html
  name: adas_core.Domain.Models.Masters
  nameWithType: adas_core.Domain.Models.Masters
  fullName: adas_core.Domain.Models.Masters
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Masters
    name: Masters
    href: adas_core.Domain.Models.Masters.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Masters
    name: Masters
    href: adas_core.Domain.Models.Masters.html
